# Uses of Interface
com.google.protobuf.MethodOrBuilder

Packages that use MethodOrBuilder
Package
Description
com.google.protobuf

## Uses of MethodOrBuilder in com.google.protobuf

Classes in com.google.protobuf that implement MethodOrBuilder
Modifier and Type
Class
Description
`final class`
`Method`
Protobuf type `google.protobuf.Method`
`static final class`
`Method.Builder`
Protobuf type `google.protobuf.Method`
Methods in com.google.protobuf that return MethodOrBuilder
Modifier and Type
Method
Description
`MethodOrBuilder`
Api.Builder.`getMethodsOrBuilder(int index)`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`MethodOrBuilder`
Api.`getMethodsOrBuilder(int index)`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`MethodOrBuilder`
ApiOrBuilder.`getMethodsOrBuilder(int index)`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
Methods in com.google.protobuf that return types with arguments of type MethodOrBuilder
Modifier and Type
Method
Description
`List<? extends MethodOrBuilder>`
Api.Builder.`getMethodsOrBuilderList()`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`List<? extends MethodOrBuilder>`
Api.`getMethodsOrBuilderList()`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`List<? extends MethodOrBuilder>`
ApiOrBuilder.`getMethodsOrBuilderList()`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`